Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.jsword.book
Enum MetaDataLocator

    java.lang.Object
      java.lang.Enum<MetaDataLocator>
          org.crosswire.jsword.book.MetaDataLocator

All Implemented Interfaces:
  Serializable, Comparable<MetaDataLocator>

    public enum MetaDataLocator

extends Enum<MetaDataLocator>

A MetaDataLocator allows one to define where BookMetaData for a Book may be found.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Enum Constant Summary
`FRONTEND`
`JSWORD`
`TRANSIENT`

Field Summary
`private static String` | `DIR_CONF_OVERRIDE` The configuration directory for overrides

Method Summary
`protected static File` | `getFile(URI u)` Safely creates the file location, or null if the parent can't exist
`abstract File` | `getReadLocation()`
`abstract File` | `getWriteLocation()`
`static MetaDataLocator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetaDataLocator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSIENT

    public static final MetaDataLocator TRANSIENT

### JSWORD

    public static final MetaDataLocator JSWORD

### FRONTEND

    public static final MetaDataLocator FRONTEND

Field Detail

### DIR_CONF_OVERRIDE

    private static final String DIR_CONF_OVERRIDE

  The configuration directory for overrides

  See Also:
    Constant Field Values

Method Detail

### values

    public static MetaDataLocator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetaDataLocator c : MetaDataLocator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetaDataLocator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getFile

    protected static File getFile(URI u)

  Safely creates the file location, or null if the parent can't exist

  Parameters:
    `u` - the parent URI
  Returns:
    the file representing the config

### getReadLocation

    public abstract File getReadLocation()

### getWriteLocation

    public abstract File getWriteLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD